# Uses of Enum
org.xnio.sasl.SaslStrength

Packages that use SaslStrength
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.sasl
Utility classes for using SASL mechanisms atop NIO or XNIO APIs.

## Uses of SaslStrength in org.xnio

Fields in org.xnio with type parameters of type SaslStrength
Modifier and Type
Field
Description
`static final Option<SaslStrength>`
Options.`SASL_STRENGTH`
Specify the SASL cipher strength to use.

## Uses of SaslStrength in org.xnio.sasl

Methods in org.xnio.sasl that return SaslStrength
Modifier and Type
Method
Description
`static SaslStrength`
SaslStrength.`fromString(String name)`
Get the SASL Strength level for the given string.
`static SaslStrength`
SaslStrength.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslStrength[]`
SaslStrength.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.